| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.PointContainerVector Class Reference

Container class that contains a single vector point plus all the data that are necessary for searching and re-connecting operations on points. More...

Inheritance diagram for IG.Num.PointContainerVector:
[legend]
Collaboration diagram for IG.Num.PointContainerVector:
[legend]

## Public Member Functions
| PointContainerVector (IVector point, int index)
| PointContainerVector (IVector point)
override IVector | GetPointCoordinates (IVector point)
| Returns vector of co-ordinates (or input parameters) of the specified point. More...
Public Member Functions inherited from IG.Num.PointContainer< PointContainerType, PointType >
| PointContainer (PointType point, int index)
| PointContainer (PointType point)
override PointLink < PointContainerType, PointType > | CreateLink (PointContainerType point)
| Creates and returns a new link object that points to the specified point (indirectly through point container). More...
Public Member Functions inherited from IG.Num.PointContainer< PointLinkType, PointContainerType, PointType >
| PointContainer (PointType point, int index)
| PointContainer (PointType point)
IVector | GetPointCoordinates ()
| returns vector coo-rdinates (or input parameters) of the point contained in the current container. More...
abstract IVector | GetPointCoordinates (PointType point)
| Returns vector of co-ordinates (or input parameters) of the specified point. More...
virtual IVector | GetPointOutputVector (PointType point)
| Gets the vector of output values of the point contained in the current container. <pra>This method must be overridden in derived classes that use this functionality (not all point containers use it).</pra> More...
virtual IVector | GetPointOutputVector ()
| Gets the vector of output values of the point containet in the current container. <pra>This method must be overridden in derived classes that use this functionality (not all point containers use it).</pra> More...

## Additional Inherited Members
Protected Attributes inherited from IG.Num.PointContainer< PointLinkType, PointContainerType, PointType >
int | _index
double | _storedDistance
Properties inherited from IG.Num.PointContainer< PointLinkType, PointContainerType, PointType >
object | Lock`[get]`
| This object's central lock object to be used by other object. Do not use this object for locking in class' methods, for this you should use InternalLock. More...
PointType | Point`[get, protected set]`
| Point that is enclosed by the current point container object. More...
static int | NextPointId`[get]`
| Returns the next point ID that can be used for new PointContainer objects. More...
int | Id`[get, private set]`
| Unique ID of the current point container (important also for testing and debugging). More...
List< PointLinkType > | Neighbors`[get]`
| List of connected points ("neighbors"). More...
virtual int | Index`[get, set]`
| Index of the current point in the original list of points where it can be accessed. More...
double | StoredDistance`[get, set]`
| Stored distance to a reference point, which is used to increase performance of operations that perform comparison of point containers by the distance to some reference point. More...
Properties inherited from IG.Num.IPointContainer< PointType >
PointType | Point`[get]`
| Point that is enclosed by the current point container object. More...
int | Id`[get]`
| Unique ID of the current point container (important also for testing and debugging). More...
int | Index`[get]`
| Index of the current point in the original list of points where it can be accessed. More...
double | StoredDistance`[get, set]`
| Stored distance to a reference point, which is used to increase performance of operations that perform comparison of point containers by the distance to some reference point. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Detailed Description

Container class that contains a single vector point plus all the data that are necessary for searching and re-connecting operations on points.

Template Parameters

  PointType | Type of the vector enclosed in this container class to represent a point in space.

$A Igor Sep08 May09 Dec11;

## Constructor & Destructor Documentation

IG.Num.PointContainerVector.PointContainerVector | ( | IVector | point,
|  | int | index
| ) |  |
| inline

IG.Num.PointContainerVector.PointContainerVector | ( | IVector | point | ) |
| inline

## Member Function Documentation

override IVector IG.Num.PointContainerVector.GetPointCoordinates | ( | IVector | point | ) |
| inline

Returns vector of co-ordinates (or input parameters) of the specified point.

Parameters

  point | Point whose co-ordinates are returned.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/pointclouds/PointCloudConcrete.cs